### Function

# ICalGLib limit_set

since: 4.0

#### Declaration [src]

    void
    i_cal_limit_set (
      ICalLimitsKind kind,
      size_t limit
    )

#### Description [src]

Sets the value for the corresponding internal library limit.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalLimitsKind`

  The kind of limit to set.

`limit`

  Type: `size_t`

  The limit value. Use SIZE_MAX (i.e. maximum value of size_t) to set an unlimited value.